<?php

######################################################################
# Fanzinweb 1.0 : Un pequeño sistema de publicación de árticulos
# ==============================================================
#
# Copyright (c) 2001 - Manuel J. Román Estrade (manje@tpn3.com)
#
# Este programa es software libre. Puede redistribuirlo y/o
# modificarlo bajo los términos de la Licencia Pública General
# de GNU.
#
# Este programa se distribuye con la esperanza de que sea útil, pero
# SIN NINGUNA GARANTÍA, incluso sin la garantía MERCANTIL implícita
# o sin garantizar la CONVENIENCIA PARA UN PROPÓSITO PARTICULAR. Véase
# la Licencia Pública General de GNU para más detalles.
# 
# Debería haber recibido una copia de la Licencia Pública General junto
# con este programa.
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License.
######################################################################



  require("config.php");
  conectar();
  echo "<form action=\"autor.php\" method=post>";
  idpwd();
  if (valido($id,$pwd)) {
    $opciones = array ("Enviar Noticia","Editar Noticia","Cambiar Contraseña");
    echo "<table><tr>";
    $i=0;
    while ($i<count($opciones)) {
      echo "<td><input type=submit name=opcion value=\"" . $opciones[$i] . "\"></td>";
      $i++;
    }
    echo "</tr></table>";
    if (($opcion==$opciones[0]) || ($opcion=="Vista Previa")){
      # Crear Artículo
      if ($opcion=="Vista Previa"){
        $titulo=stripslashes($titulo);
        $corto=stripslashes($corto);
        $completo=stripslashes($completo);
        echo "<h2>Vista previa:</h2>";
        echo "<hr>$corto<hr>$completo<hr>";
      }
      echo "<br>Titulo<input type=text name=titulo value=\"$titulo\">";
      echo "<br>Artículo corto<br>";
      echo "<TEXTAREA name=corto class=textbox wrap=virtual cols=70 rows=12>$corto</TEXTAREA>";
      echo "<br>Artículo completo<br>";
      echo "<TEXTAREA name=completo class=textbox wrap=virtual cols=70 rows=12>$completo</TEXTAREA>";
      echo "<br>";
      echo "<SELECT class=textbox name=tema>";
      $con="SELECT temas.id as id, temas.nombre as nombre ".
           " FROM temas,escritores WHERE ".
           " escritores.autor = \"$id\" " .
           " AND escritores.tema = temas.id ";
      $tmp=mysql_query($con);
      while ($row = mysql_fetch_array($tmp)) {
        echo "<option value=\"" . $row["id"] . "\">".$row["nombre"];
      }
      echo "</select>";
      echo "<br>";
      echo "<input type=submit name=opcion value=\"Vista Previa\">";
      echo "<input type=submit name=opcion value=\"Enviar\">";
    }
    if ($opcion=="Enviar"){
      $titulo=stripslashes($titulo);
      $corto=stripslashes($corto);
      $completo=stripslashes($completo);
      $con="INSERT INTO articulos VALUES " .
           " (  NULL , '$id' , $tema , '$titulo' , '$corto' , '$completo' , now() ) ";
      $tmp=mysql_query($con);
      echo "<h1>Noticia enviada</h1>";
      echo "<h2>$titulo</h2>";
      echo "<hr>$corto<hr>$completo<hr>";
    }
    if ($opcion=="Editar"){
      $con="SELECT * FROM articulos WHERE id = $num ";
      $tmp=mysql_query($con);
      $art = mysql_fetch_array($tmp);
      $titulo = $art["titulo"];
      $corto = $art["breve"];
      $completo = $art["completo"];
      $tema = $art["tema"];
      echo "<br>Titulo<input type=text name=titulo value=\"$titulo\">";
      echo "<br>Artículo corto<br>";
      echo "<TEXTAREA name=corto class=textbox wrap=virtual cols=70 rows=12>$corto</TEXTAREA>";
      echo "<br>Artículo completo<br>";
      echo "<TEXTAREA name=completo class=textbox wrap=virtual cols=70 rows=12>$completo</TEXTAREA>";
      echo "<br>";
      echo "<SELECT class=textbox name=tema>";
      $con="SELECT temas.id as id, temas.nombre as nombre ".
           " FROM temas,escritores WHERE ".
           " escritores.autor = \"$id\" " .
           " AND escritores.tema = temas.id ";
      $tmp=mysql_query($con);
      while ($row = mysql_fetch_array($tmp)) {
        if ($row["id"] == $tema) {
          echo "<option value=\"" . $row["id"] . "\" SELECTED>".$row["nombre"];
        } else {
          echo "<option value=\"" . $row["id"] . "\">".$row["nombre"];
        }
      }
      echo "</select>";
      echo "<br>";
      echo "<input type=hidden name=num value=$num>";
      echo "<input type=submit name=opcion value=\"Actualizar\">";
    }
    if ($opcion=="Actualizar") {
      $titulo=stripslashes($titulo);
      $corto=stripslashes($corto);
      $completo=stripslashes($completo);
      $con = "UPDATE articulos SET " .
             " titulo =  '$titulo' , " .
             " breve =  '$corto' , " .
             " completo =  '$completo' , " .
             " tema =  $tema " .
             " WHERE id =  $num AND autor=\"$id\" ";
      $tmp=mysql_query($con);
      if ($tmp) {
        echo "ARTÍCULO $num ACTUALIZADO";
      } else {
        echo "ARTÍCULO $num NO ACTUALIZADO - NO TIENE PERMISO";
      }
    }
    if ($opcion=="Borrar") {
      $con = "DELETE FROM articulos WHERE " .
             " id =  $num AND autor=\"$id\" ";
      $tmp=mysql_query($con);
      if ($tmp) {
        echo "ARTÍCULO $num BORRADO";
      } else {
        echo "ARTÍCULO $num NO BORRADO - NO TIENE PERMISO";
      }
    }
    if (($opcion==$opciones[1]) || ($opcion=="Anteriores")) {
      # Editar
      if ($opcion=="Anteriores") {
        $primero=$primero+50;
      } else {
        $primero=0;
      }
      $con="SELECT id , titulo , fecha ".
           " FROM articulos WHERE ".
           " autor = \"$id\" " .
           " ORDER BY id DESC limit $primero,50";
      $tmp=mysql_query($con);
      $total=mysql_num_rows($tmp);
      echo "<p>Número:<input type=text name=num>";
      echo "<input type=submit name=opcion value=\"Borrar\">";
      echo "<input type=submit name=opcion value=\"Editar\">";
      echo "<input type=hidden name=primero value=$primero>";
      echo "<p><table BORDER=1>";
      echo "<tr><td>Número</td><td>Titulo</td><td>Fecha</td></tr>";
      while ($row = mysql_fetch_array($tmp)) {
        echo "<tr><td>";
        echo $row["id"];
        echo "</td><td>";
        echo $row["titulo"];
        echo "</td><td>";
        echo $row["fecha"];
        echo "</td></tr>";
      }
      echo "</table>";
      if ( $total != 50 ) {
        echo "<input type=submit name=opcion value=\"Anteriores\">";
      }
    }
    if ($opcion==$opciones[2]){
      # Contraseña
      echo "<p>Antigua contraseña:<input type=password name=cta>";
      echo "<p>Nueva contraseña:<input type=password name=ctb>";
      echo "<br>Repetir contraseña:<input type=password name=ctc>";
      echo "<p><input type=submit name=opcion value=\"Cambiar\">";
    }
    if ($opcion=="Cambiar"){
      # Contraseña
      if (($pwd == $cta)  && ($ctb==$ctc)) {
        $con = "UPDATE autores SET " .
               " pwd =  '$ctb' " .
               " WHERE id = \"$id\" ";
        $tmp=mysql_query($con);
        if ($tmp) {
          echo "CONTRASEÑA $num ACTUALIZADA";
        } else {
          echo "ERROR EN EL ACCESO A LA BASE DE DATOS";
        }
      } else {
        echo "ERROR - Contraseña no válida, o no son iguales las dos contraseñas";
      }
    }
  } else {
    echo "Usuario:<input type=text name=id>";
    echo "<br>Contraseña:<input type=password name=pwd>";
    echo "<br><input type=submit>";
  }
  echo "</form>";



?>